Name:           python-liblarch
Version:        2.1.0
Release:        9%{?dist}
Summary:        Data structures helper library for python

License:        LGPLv3+
URL:            https://wiki.gnome.org/Projects/liblarch
Source0:        https://github.com/liblarch/liblarch/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       pygobject2

%description
Liblarch is a python library built to easily handle data structure such as
lists, trees and directed acyclic graphs.


%package -n python-liblarch_gtk
Summary:        Liblarch gtk binding for use in Gtk.Treeview
Requires:       python-liblarch pygtk2

%description -n python-liblarch_gtk
liblarch_gtk is a liblarch binding that will allow you to use your 
data structure into a Gtk.Treeview.


%prep
%setup -q -n liblarch-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


#tests require DISPLAY
#check
#make test

 
%files
%doc AUTHORS LICENSE README examples
%{python_sitelib}/liblarch/
%{python_sitelib}/liblarch*egg-info


%files -n python-liblarch_gtk
%doc AUTHORS LICENSE README
%{python_sitelib}/liblarch_gtk/


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan  9 2014 Yanko Kaneti <yaneti@declera.com> - 2.1.0-4
- Upstream moved to github and added examples and tests to the tarball

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Yanko Kaneti <yaneti@declera.com> - 2.1.0-1
- New upstream release - 2.1.0. 
- Upstream merged python-liblarch_gtk - still package separately for now

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar  6 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.0-2
- Address review. BR python2-devel. No sitelib definition.

